/*
	File:		ODNew.h

	Contains:	Inline versions of operator new and operator delete for OpenDoc

	Owned by:	Nick Pilch

	Copyright:	 1993 - 1996 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <2>	 5/24/96	jpa		1.1MRD: pragma internal eliminates NOPs.

	In Progress:
		
*/

#ifndef _ODNEW_
#define _ODNEW_

#include <StdDef.h>

#ifndef _ODMEMORY_
#include "ODMemory.h"
#endif

//==============================================================================
// Global function declarations
//==============================================================================

#ifdef PRAGMA_INTERNAL_SUPPORTED
#pragma internal on
#endif


void* operator new(size_t size, ODMemoryHeapID);		// from a specific heap
void* operator new(size_t);							// from the client heap
void operator delete(void*);						// return memory to pool 


#ifdef PRAGMA_INTERNAL_SUPPORTED
#pragma internal reset
#endif

#endif
