/*
	File:		ODNewObj.h

	Contains:	Abstract wrapper for instantiating objects by class-name

	Owned by:	Jens Alfke

	Copyright:	 1994 - 1996 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <3>	 6/27/96	jpa		1361886: Return error string
		 <2>	 5/24/96	jpa		1.1MRD: pragma internal eliminates NOPs.

*/

#ifndef _ODNEWOBJ_
#define _ODNEWOBJ_

#ifndef _ODTYPES_
#include "ODTypes.h"
#endif

class SOMObject;

#ifdef _OD_IMPL_SHARE_UTILS_
#pragma import on
#elif defined(PRAGMA_INTERNAL_SUPPORTED)
#pragma internal on
#endif

#undef DEFAULT
#ifdef __cplusplus
#define DEFAULT(X)	=(X)
#else
#define DEFAULT(X)
#endif

extern "C" {

	SOMObject*	ODNewObject( const char *className, Str255 errorString DEFAULT(kODNULL) );
	
	ODBoolean	ODClassExists( const char *className );

} 

#ifdef _OD_IMPL_SHARE_UTILS_
#pragma import off
#elif defined(PRAGMA_INTERNAL_SUPPORTED)
#pragma internal reset
#endif

#endif /*ODNEWOBJ*/