/*
	File:		TransUtl.h

	Contains:	Translation utilities.

	Owned by:	Reggie Adkins

	Copyright:	 1993 - 1996 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <3>	 5/24/96	jpa		Fixed header.
		 <2>	 5/24/96	jpa		1.1MRD: Use pragma internal to eliminate
									NOPs.

	To Do:
*/

#ifndef _TRANSUTL_
#define _TRANSUTL_

//==============================================================================
// Classes used by this interface
//==============================================================================
class	ODTypeList;
class	ODSession;
class	OrderedCollection;

#ifdef _OD_IMPL_SHARE_UTILS_
#pragma import on
#elif defined(PRAGMA_INTERNAL_SUPPORTED)
#pragma internal on
#endif

extern "C" {

// GetGetDestinationKindsList is used to get a list of possible kinds to translate
// to (translateToList) given a list of kinds (kindList).  The translateFromList 
// paramenter contains a list of indexes that correspond to each entry in the 
// translateToList which indicates which index in the kindList it came from.  The 
// argument to translateFromList may be null in which case it is ignored.
void GetDestinationKindsList(
				ODTypeList*	kindList,
				ODTypeList*	translateToList,
				OrderedCollection* translateFromList,
				ODSession* session);

}	// End of extern "C" {

#ifdef _OD_IMPL_SHARE_UTILS_
#pragma import off
#elif defined(PRAGMA_INTERNAL_SUPPORTED)
#pragma internal reset
#endif

#endif /* _TRANSUTL_ */